Subject: RE: draft-rabbat-ccamp-carrier-survey-00.txt [Was RE: Survey draft]

From: "Vishal Sharma" <[email-masked]>
Date: Sun, 1 Aug 2004 21:18:55 -0700

Thanks a lot for your email, and for your several suggestions
pertaining to the carrier survey draft.

We think that there are several good points outlined in
the note below that are worth discussing, and invite other
CCAMPers to provide their inputs, and hope we can have a good
discussion about them.

As we mentioned, we already plan to update the carrier
survey with all of the feedback we have received thus far,
and make the revised survey available.

> -----Original Message-----
> From: Adrian Farrel [mailto:[email-masked]]
> Sent: Saturday, July 24, 2004 10:40 AM
> To: [email-masked]
> Cc: 'Kireeti Kompella'; Richard Rabbat; Takeo Hamada; [email-masked]
> Subject: Re: Survey draft
>
>
> OK,
>
> Following your links to extract the specific items for discussion.
>
> [Richard] The purpose is to get feedback on the content, format,
> etc of the
> survey and how to interpret the results.
>
> [Kensuke] I'm interested in not only GMPLS technical aspects but
> SP's deployment examples
> and motivation.
>
> [Vishal] The purpose of a face-to-face discussion will be
> to: discuss the specific points that Kensuke and others have
> raised, to evaluate what further aspects should be covered
> in the survey, and discuss how to interpret the current results.
>
> And your email...
>
> > Basically, the idea is to get feedback from WG discussion (especially
> > from carriers) that is not possible on the ML: focusing on
> > the extent and scope of the survey,  on interpreting its results, and
> > on its usefulness for understanding GMPLS use in carrier networks,
> > which should be of high interest to the WG.
>
>
> So I can construct a list of issues you would like to discuss...
>
> a. (future) content of the survey
> b. format of the survey
> c. how to interpret results
> d. SP deployment examples
> e. SP deployment motivation
> f. usefulness of the survey.
>
> Is this the definitive list, or are there other points?
>
> While I agree that items d and e are fascinating and valuable,
> this is not information
> that will easily be shared in a few moments at the mic. Nor, I
> suspect, is it something
> that SPs would want to share without a lot of careful gloss
> except, perhaps, in a private,
> one-on-one way.
>
> Item c, of course, is premature since we have neither a full set
> of results nor the
> correlation information necessary to interpret them. I'm sure we
> will return to this
> discussion once the survey has been updated, more results have
> been collected, and the
> full responses published.
>
> This leaves us with a, b and f which are all somewhat
> intertwined. Probably b lags behind
> a and f.
>
> So, not unexpectedly, we have two main points of debate: is there
> value in such a survey
> and what should it cover.
>
> The title of the draft is pretty specific about the intent of the
> survey: GMPLS-based
> Shared-Mesh Transport Restoration Strategies. It seems there may
> be some value in
> understanding what the desires and wishes of the SP community is
> in this respect, and at
> least two people on the mailing list agree with you. Others, I'm
> sure, will say that such
> a survey has limited value because it does not expose whether the
> respondent understands
> the trade-offs and practical issues that lurk behind the
> buzz-words (the customer always
> wants a God-box for a very low price).
>
> There has been some discussion that tends to open the survey up
> to the "entirety" of GMPLS
> including all of the functions and features that one might want
> in a network. IMHO such a
> survey is too large and is way out of the scope of what the IETF
> can hope to achieve.
> Ultimately, the IETF is contribution-driven within the scope of
> the WG charters -
> individuals have an opportunity to convene/request new working
> groups, shape the charters,
> and contribute to the work to reach the charter milestones. The
> IESG must be convinced of
> the validity of new work items before they can be accepted. That
> is how the IETF takes the
> measure of what needs to be done and in what order.
>
> Detailed and far-reaching surveys are more the province of
> magazines, but are sometimes
> produced and submitted to the RFC editor as private informational drafts.
>
> One counter-example is the implementation survey which is
> fundamental to the IETF to
> determine how a protocol is working, whether it is accepted, and
> whether the RFC can move
> forward.
>
> The questions you might ask, therefore, are:
>
> 1. Is it helpful to conduct a survey about requirements and expectations
>    for shared mesh recovery?
> 2. What changes/additions are needed to the current questions to
>     achieve this?
> 3. Would it be valuable/meaningful to extend the survey to attempt
>    to understand the plans/desires/expectations of SPs with regard
>    to the whole of GMPLS?
>
> With regard to questions 2 and 3, you might also ask:
>
> 4. Who is prepared to help construct/refine the survey and what
>    form of review of the survey questions would the WG like before
>    the survey is issued?
>
> Now we come to whether this is material for the meeting or the
> mailing list.
>
> I asked...
>
> > > ... and how these issues are well served by a debate in an
> > > open forum.
>
> ...and you have said...
>
> > ... there are specific inputs that can
> > be obtained in a WG meeting discussion that are simply not possible
> > on a ML.
>
> But you omit to say what they are.
>
> You do, however, add...
> > if that was not so, we wouldn't need any IETF meetings!
>
> I am inclined to agree with you on many fronts, but that is just
> my view. It seems to me
> that the value of IETF meetings is vested almost entirely in the
> fact that the authors are
> gathered together in one place for a week and can have
> discussions and debates to forward
> their drafts.
>
> The value of WG meetings seems to be two-fold:
> - It allows quick and rough (non-scientific) polls to be taken with a
>   captive audience. These can be used to give an indication of what
>   questions should be pursued on the mailing list and to gauge a
>   feeling of the WG's opinion. It should be obvious that if the chairs
>   continually sent questions to the list the already poor response
>   would dwindle to nothing.
> - It offers an opportunity for aggrieved or concerned individuals to
>    be sure that they are heard by a large chunk of the WG. It doesn't
>    offer redress or resolution, but it is a better forum for being certain
>    that someone is heard than the mailing list where people are too
>    busy to read all of the emails.
>
> It may also be true and useful that the approach of a meeting
> acts as a spur to an editor
> responsible for a milestone or a WG draft. This is especially
> true if the author knows
> that she will be required to stand up in front of the WG and
> justify why nothing has
> happened for four months.
>
> I originally offered...
>
> > A better way to handle this, I think, is that the draft is
> > mentioned from the chair (as shown in the draft agenda) and
> > that discussions are taken to the list. Hopefully by doing
> > this we can build on your work to produce a survey that helps
> > us understand the deployment desires and motivations of
> > GMPLS-using providers.
>
> It is certainly true that the current debate about the agenda has
> served to raise the
> profile of your draft, although many may have failed to pick up
> on it amidst the noise.
> Nevertheless, it is surely valuable to have the draft brought to
> everyone's attention. I
> would be more than happy to re-state the four questions above and
> direct participants to
> you and/or the mailing list.
>
> With respect to the debate, however, I don't think you have made
> a case for taking up
> meeting time. It would still be my advice to raise the specific
> questions on the mail
> list, instead. I would be happy to raise the questions if you like.
>
> Thanks,
> Adrian
>
> PS. I will be travelling from Sunday until San Diego, and my
> email access may be patchy.
> Please follow up with Kireeti if necessary. (His views are not
> necessarily my views.)
>
> > Hi Adrian,
> >
> > I think some of the important issues to discuss were pointed out
> > in a couple of emails to CCAMP by my co-authors and Kensuke Shindome
> > of NTT.
> >
> > http://ops.ietf.org/lists/ccamp/ccamp.2004/msg00742.html
> >
> > http://ops.ietf.org/lists/ccamp/ccamp.2004/msg00744.html
> >
> > http://ops.ietf.org/lists/ccamp/ccamp.2004/msg00758.html
> >
> > Basically, the idea is to get feedback from WG discussion (especially
> > from carriers) that is not possible on the ML: focusing on
> > the extent and scope of the survey,  on interpreting its results, and
> > on its usefulness for understanding GMPLS use in carrier networks,
> > which should be of high interest to the WG.
> >
> > -Vishal
> >
> > > -----Original Message-----
> > > From: Adrian Farrel [mailto:[email-masked]]
> > > Sent: Friday, July 23, 2004 5:37 AM
> > > To: Vishal Sharma (E-mail 2)
> > > Cc: 'Kireeti Kompella'
> > > Subject: Survey draft
> > >
> > >
> > > You might forward your cause by sending us a very brief summary
> > > of the issues you want to raise if you had an agenda slot and how
> > > these issues are well served by a debate in an open forum.
> > >
> > > Then we could at least see whether you have a valid point or
> > > explain to you why that is not a good idea.
> > >
> > > Adrian
> > >
> >
> >
>